petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSubcommSetType

Set type of subcommunicators.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommSetType(PetscSubcomm psubcomm,PetscSubcommType subcommtype)

Collective on MPI_Comm

### Input Parameter

| psubcomm | - PetscSubcomm context
| subcommtype | - subcommunicator type, PETSC_SUBCOMM_CONTIGUOUS,PETSC_SUBCOMM_INTERLACED

### Keywords

communicator

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetNumber(),PetscSubcommSetTypeGeneral()

Level:advanced
Location:src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages